Bug 1147899 - jenkins: maven-project plugin doesn't work
Summary: jenkins: maven-project plugin doesn't work
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: jenkins
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-30 09:19 UTC by Michal Srb
Modified: 2016-07-19 12:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:10:59 UTC


Attachments (Terms of Use)

Description Michal Srb 2014-09-30 09:19:52 UTC
Description of problem:

This is probably related to core plugins (rhbz#1147838), but it needs some investigating. When I am trying to build maven project with maven-plugin, I am always getting:

Started by user anonymous
Building in workspace /var/lib/jenkins/jobs/maven1/workspace
Cloning the remote Git repository
Cloning repository https://github.com/kohsuke/akuma.git
 > git init /var/lib/jenkins/jobs/maven1/workspace # timeout=10
Fetching upstream changes from https://github.com/kohsuke/akuma.git
 > git --version # timeout=10
 > git fetch --tags --progress https://github.com/kohsuke/akuma.git +refs/heads/*:refs/remotes/origin/*
 > git config remote.origin.url https://github.com/kohsuke/akuma.git # timeout=10
 > git config remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
 > git config remote.origin.url https://github.com/kohsuke/akuma.git # timeout=10
Fetching upstream changes from https://github.com/kohsuke/akuma.git
 > git fetch --tags --progress https://github.com/kohsuke/akuma.git +refs/heads/*:refs/remotes/origin/*
 > git rev-parse refs/remotes/origin/master^{commit} # timeout=10
 > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10
Checking out Revision 0440b32a2040894cd22c48e2e4603a3c3d64948d (refs/remotes/origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 0440b32a2040894cd22c48e2e4603a3c3d64948d
First time build. Skipping changelog.
Parsing POMs
FATAL: null
java.lang.StackOverflowError
	at sun.reflect.GeneratedMethodAccessor147.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:483)
	at com.google.inject.internal.DelegatingInvocationHandler.invoke(DelegatingInvocationHandler.java:40)
...

Version-Release number of selected component (if applicable):
1.581-2

How reproducible:
always

Comment 1 Mikolaj Izdebski 2014-10-01 12:01:40 UTC
I can reproduce this as well.

Comment 2 Alex 2015-01-19 21:49:44 UTC
I could also reproduce; the solution in my case, was to copy an appropriate Maven settings.xml to /var/lib/jenkins/.m2, with owner/group jenkins (I was trying to build a project for the organisation where I work, the settings.xml is for the organisation in this case)

After copying the settings.xml into the expected location, I didn't get the error any more.

Obviously the lack of a custom settings.xml should not cause this error, but as a workaround it may help, or offer a hint at the root cause.

Thanks

Comment 3 Alex 2015-01-22 13:41:02 UTC
Some clarification regarding my previous comment: copying the settings.xml is not the change that makes the difference, the correct workaround is to exec Maven manually once, after the first Jenkins build has failed:

cd /var/lib/jenkins/workspace/<job-name>
su -s /bin/bash -c "mvn clean" jenkins

After performing this workaround, I found that subsequent Jenkins builds will succeed.

Comment 4 Michal Srb 2015-02-09 16:54:09 UTC
The problem is that Jenkins needs guice library in version 4.0.beta and Fedora only has 3.2.x (and it's a "sisu" fork). Since updating guice in F21 is not an option, I will create special package, something like jenkins-guice, which will always carry correct version needed by Jenkins. It looks like anything else than 4.0.beta causes trouble:
https://github.com/google/guice/issues/899

Comment 5 Fedora End Of Life 2015-11-04 15:41:37 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-12-02 04:03:38 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Fedora End Of Life 2016-07-19 12:10:59 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.